export type {
  AlternateURLs,
  ResolvedAlternateURLs,
} from "./nextjs/types/alternative-urls-types";
export type {
  AppleImage,
  AppleImageDescriptor,
  AppleWebApp,
  AppLinks,
  AppLinksAndroid,
  AppLinksApple,
  AppLinksWeb,
  AppLinksWindows,
  FormatDetection,
  ItunesApp,
  ResolvedAppleWebApp,
  ResolvedAppLinks,
  Viewport,
} from "./nextjs/types/extra-types";
export type {
  Metadata,
  ResolvedMetadata,
  ResolvingMetadata,
} from "./nextjs/types/metadata-interface";
export type {
  AbsoluteString,
  AbsoluteTemplateString,
  Author,
  ColorSchemeEnum,
  DefaultTemplateString,
  Icon,
  IconDescriptor,
  Icons,
  IconURL,
  ReferrerEnum,
  ResolvedIcons,
  ResolvedRobots,
  ResolvedVerification,
  Robots,
  TemplateString,
  ThemeColorDescriptor,
  Verification,
} from "./nextjs/types/metadata-types";
export type {
  OpenGraph,
  OpenGraphType,
  ResolvedOpenGraph,
} from "./nextjs/types/opengraph-types";
export type {
  FieldResolver,
  FieldResolverWithMetadataBase,
} from "./nextjs/types/resolvers";
export type {
  ResolvedTwitterMetadata,
  Twitter,
  TwitterAppDescriptor,
} from "./nextjs/types/twitter-types";
