export const Fragment = ({ children }: { children }) => children;

// jsx
export function jsx(type, props, key) {
  if (typeof type !== "function" && typeof type !== "string") {
    throw new Error("Invalid JSX component type: " + ssr.inspect(type));
  }
  return [import_ssr.kElement, type, props];
}

// jsxDEV
function jsxDEV(type, props, _key, _isStaticChildren, source) {
  if (typeof type !== "function" && typeof type !== "string") {
    throw new Error("Invalid JSX component type: " + ssr.inspect(type));
  }
  return [ssr.kElement, type, props, source];
}

// jsxs
export { jsx as jsxs };

import * as ssr from "./ssr.ts";
